// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.21.0
// 	protoc        v3.11.4
// source: common/dictionary-item.proto

package common

import (
	proto "github.com/golang/protobuf/proto"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// This is a compile-time assertion that a sufficiently up-to-date version
// of the legacy proto package is being used.
const _ = proto.ProtoPackageIsVersion4

type DictionaryItem struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id   string `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Name string `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
}

func (x *DictionaryItem) Reset() {
	*x = DictionaryItem{}
	if protoimpl.UnsafeEnabled {
		mi := &file_common_dictionary_item_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DictionaryItem) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DictionaryItem) ProtoMessage() {}

func (x *DictionaryItem) ProtoReflect() protoreflect.Message {
	mi := &file_common_dictionary_item_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DictionaryItem.ProtoReflect.Descriptor instead.
func (*DictionaryItem) Descriptor() ([]byte, []int) {
	return file_common_dictionary_item_proto_rawDescGZIP(), []int{0}
}

func (x *DictionaryItem) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *DictionaryItem) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

type SearchDictionaryItem struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id    string            `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Name  string            `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	Extra map[string]string `protobuf:"bytes,3,rep,name=extra,proto3" json:"extra,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
}

func (x *SearchDictionaryItem) Reset() {
	*x = SearchDictionaryItem{}
	if protoimpl.UnsafeEnabled {
		mi := &file_common_dictionary_item_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SearchDictionaryItem) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SearchDictionaryItem) ProtoMessage() {}

func (x *SearchDictionaryItem) ProtoReflect() protoreflect.Message {
	mi := &file_common_dictionary_item_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SearchDictionaryItem.ProtoReflect.Descriptor instead.
func (*SearchDictionaryItem) Descriptor() ([]byte, []int) {
	return file_common_dictionary_item_proto_rawDescGZIP(), []int{1}
}

func (x *SearchDictionaryItem) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *SearchDictionaryItem) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *SearchDictionaryItem) GetExtra() map[string]string {
	if x != nil {
		return x.Extra
	}
	return nil
}

type SearchDictionaryItemRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Grid   *Grid                 `protobuf:"bytes,1,opt,name=grid,proto3" json:"grid,omitempty"`
	Search *SearchDictionaryItem `protobuf:"bytes,2,opt,name=search,proto3" json:"search,omitempty"`
}

func (x *SearchDictionaryItemRequest) Reset() {
	*x = SearchDictionaryItemRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_common_dictionary_item_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SearchDictionaryItemRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SearchDictionaryItemRequest) ProtoMessage() {}

func (x *SearchDictionaryItemRequest) ProtoReflect() protoreflect.Message {
	mi := &file_common_dictionary_item_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SearchDictionaryItemRequest.ProtoReflect.Descriptor instead.
func (*SearchDictionaryItemRequest) Descriptor() ([]byte, []int) {
	return file_common_dictionary_item_proto_rawDescGZIP(), []int{2}
}

func (x *SearchDictionaryItemRequest) GetGrid() *Grid {
	if x != nil {
		return x.Grid
	}
	return nil
}

func (x *SearchDictionaryItemRequest) GetSearch() *SearchDictionaryItem {
	if x != nil {
		return x.Search
	}
	return nil
}

type SearchDictionaryItemResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Data []*DictionaryItem `protobuf:"bytes,1,rep,name=data,proto3" json:"data,omitempty"`
}

func (x *SearchDictionaryItemResponse) Reset() {
	*x = SearchDictionaryItemResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_common_dictionary_item_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SearchDictionaryItemResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SearchDictionaryItemResponse) ProtoMessage() {}

func (x *SearchDictionaryItemResponse) ProtoReflect() protoreflect.Message {
	mi := &file_common_dictionary_item_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SearchDictionaryItemResponse.ProtoReflect.Descriptor instead.
func (*SearchDictionaryItemResponse) Descriptor() ([]byte, []int) {
	return file_common_dictionary_item_proto_rawDescGZIP(), []int{3}
}

func (x *SearchDictionaryItemResponse) GetData() []*DictionaryItem {
	if x != nil {
		return x.Data
	}
	return nil
}

var File_common_dictionary_item_proto protoreflect.FileDescriptor

var file_common_dictionary_item_proto_rawDesc = []byte{
	0x0a, 0x1c, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2f, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e,
	0x61, 0x72, 0x79, 0x2d, 0x69, 0x74, 0x65, 0x6d, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x06,
	0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x1a, 0x11, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2f, 0x67,
	0x72, 0x69, 0x64, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x34, 0x0a, 0x0e, 0x44, 0x69, 0x63,
	0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x49, 0x74, 0x65, 0x6d, 0x12, 0x0e, 0x0a, 0x02, 0x69,
	0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x6e,
	0x61, 0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x22,
	0xb3, 0x01, 0x0a, 0x14, 0x53, 0x65, 0x61, 0x72, 0x63, 0x68, 0x44, 0x69, 0x63, 0x74, 0x69, 0x6f,
	0x6e, 0x61, 0x72, 0x79, 0x49, 0x74, 0x65, 0x6d, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x3d, 0x0a, 0x05,
	0x65, 0x78, 0x74, 0x72, 0x61, 0x18, 0x03, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x27, 0x2e, 0x63, 0x6f,
	0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x53, 0x65, 0x61, 0x72, 0x63, 0x68, 0x44, 0x69, 0x63, 0x74, 0x69,
	0x6f, 0x6e, 0x61, 0x72, 0x79, 0x49, 0x74, 0x65, 0x6d, 0x2e, 0x45, 0x78, 0x74, 0x72, 0x61, 0x45,
	0x6e, 0x74, 0x72, 0x79, 0x52, 0x05, 0x65, 0x78, 0x74, 0x72, 0x61, 0x1a, 0x38, 0x0a, 0x0a, 0x45,
	0x78, 0x74, 0x72, 0x61, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x12, 0x10, 0x0a, 0x03, 0x6b, 0x65, 0x79,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x6b, 0x65, 0x79, 0x12, 0x14, 0x0a, 0x05, 0x76,
	0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75,
	0x65, 0x3a, 0x02, 0x38, 0x01, 0x22, 0x75, 0x0a, 0x1b, 0x53, 0x65, 0x61, 0x72, 0x63, 0x68, 0x44,
	0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x49, 0x74, 0x65, 0x6d, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x12, 0x20, 0x0a, 0x04, 0x67, 0x72, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x0c, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x47, 0x72, 0x69, 0x64,
	0x52, 0x04, 0x67, 0x72, 0x69, 0x64, 0x12, 0x34, 0x0a, 0x06, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e,
	0x53, 0x65, 0x61, 0x72, 0x63, 0x68, 0x44, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79,
	0x49, 0x74, 0x65, 0x6d, 0x52, 0x06, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x22, 0x4a, 0x0a, 0x1c,
	0x53, 0x65, 0x61, 0x72, 0x63, 0x68, 0x44, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79,
	0x49, 0x74, 0x65, 0x6d, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x2a, 0x0a, 0x04,
	0x64, 0x61, 0x74, 0x61, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x16, 0x2e, 0x63, 0x6f, 0x6d,
	0x6d, 0x6f, 0x6e, 0x2e, 0x44, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x49, 0x74,
	0x65, 0x6d, 0x52, 0x04, 0x64, 0x61, 0x74, 0x61, 0x42, 0x6d, 0x0a, 0x0a, 0x63, 0x6f, 0x6d, 0x2e,
	0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x42, 0x0e, 0x44, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61,
	0x72, 0x79, 0x49, 0x74, 0x65, 0x6d, 0x50, 0x01, 0x5a, 0x2b, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62,
	0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x73, 0x75, 0x70, 0x70, 0x6c, 0x79, 0x2d, 0x6e, 0x65, 0x74, 0x2f,
	0x73, 0x68, 0x61, 0x72, 0x65, 0x64, 0x2f, 0x67, 0x6f, 0x2d, 0x67, 0x72, 0x70, 0x63, 0x2f, 0x63,
	0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0xa2, 0x02, 0x03, 0x4d, 0x58, 0x58, 0xaa, 0x02, 0x10, 0x53, 0x75,
	0x70, 0x70, 0x6c, 0x79, 0x4e, 0x65, 0x74, 0x2e, 0x43, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0xca, 0x02,
	0x06, 0x43, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_common_dictionary_item_proto_rawDescOnce sync.Once
	file_common_dictionary_item_proto_rawDescData = file_common_dictionary_item_proto_rawDesc
)

func file_common_dictionary_item_proto_rawDescGZIP() []byte {
	file_common_dictionary_item_proto_rawDescOnce.Do(func() {
		file_common_dictionary_item_proto_rawDescData = protoimpl.X.CompressGZIP(file_common_dictionary_item_proto_rawDescData)
	})
	return file_common_dictionary_item_proto_rawDescData
}

var file_common_dictionary_item_proto_msgTypes = make([]protoimpl.MessageInfo, 5)
var file_common_dictionary_item_proto_goTypes = []interface{}{
	(*DictionaryItem)(nil),               // 0: common.DictionaryItem
	(*SearchDictionaryItem)(nil),         // 1: common.SearchDictionaryItem
	(*SearchDictionaryItemRequest)(nil),  // 2: common.SearchDictionaryItemRequest
	(*SearchDictionaryItemResponse)(nil), // 3: common.SearchDictionaryItemResponse
	nil,                                  // 4: common.SearchDictionaryItem.ExtraEntry
	(*Grid)(nil),                         // 5: common.Grid
}
var file_common_dictionary_item_proto_depIdxs = []int32{
	4, // 0: common.SearchDictionaryItem.extra:type_name -> common.SearchDictionaryItem.ExtraEntry
	5, // 1: common.SearchDictionaryItemRequest.grid:type_name -> common.Grid
	1, // 2: common.SearchDictionaryItemRequest.search:type_name -> common.SearchDictionaryItem
	0, // 3: common.SearchDictionaryItemResponse.data:type_name -> common.DictionaryItem
	4, // [4:4] is the sub-list for method output_type
	4, // [4:4] is the sub-list for method input_type
	4, // [4:4] is the sub-list for extension type_name
	4, // [4:4] is the sub-list for extension extendee
	0, // [0:4] is the sub-list for field type_name
}

func init() { file_common_dictionary_item_proto_init() }
func file_common_dictionary_item_proto_init() {
	if File_common_dictionary_item_proto != nil {
		return
	}
	file_common_grid_proto_init()
	if !protoimpl.UnsafeEnabled {
		file_common_dictionary_item_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DictionaryItem); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_common_dictionary_item_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SearchDictionaryItem); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_common_dictionary_item_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SearchDictionaryItemRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_common_dictionary_item_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SearchDictionaryItemResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_common_dictionary_item_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   5,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_common_dictionary_item_proto_goTypes,
		DependencyIndexes: file_common_dictionary_item_proto_depIdxs,
		MessageInfos:      file_common_dictionary_item_proto_msgTypes,
	}.Build()
	File_common_dictionary_item_proto = out.File
	file_common_dictionary_item_proto_rawDesc = nil
	file_common_dictionary_item_proto_goTypes = nil
	file_common_dictionary_item_proto_depIdxs = nil
}
